%global srcname fabric3
%global common_desc Fabric3 is a fork of Fabric to provide compatibility with Python 3.4+.\
Fabric is a simple Pythonic remote deployment tool which is designed to upload \
files to, and run shell commands on, a number of servers in parallel or serially.

%global extra_ver post1

Name:           python-%{srcname}
Version:        1.13.1
Release:        5.%{extra_ver}%{?dist}
Summary:        Python3-compatible fork of Fabric

License:        BSD
URL:            https://github.com/mathiasertl/fabric
# https://pypi.python.org/pypi/Fabric3/
Source0:        https://github.com/mathiasertl/fabric/archive/%{version}.%{extra_ver}/fabric-%{version}.%{extra_ver}.tar.gz

BuildArch:      noarch

%description
%{common_desc}

%package -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-nose
BuildRequires: python3-jinja2

# fudge not compatible with py3 yet
#BuildRequires: python3-fudge

Requires: python3-paramiko
Requires: python3-six

Provides: fabric3
Provides: fabric1
Provides: fab1

%description -n python3-%{srcname}
%{common_desc}

%package -n python2-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{srcname}}

BuildRequires: python2-devel
BuildRequires: python2-setuptools
BuildRequires: python2-nose
BuildRequires: python2-jinja2

BuildRequires: python2-fudge

Requires: python2-paramiko
Requires: python2-six

Provides: fabric3
Provides: fabric1
Provides: fab1

Obsoletes: fabric

%description -n python2-%{srcname}
%{common_desc}


%prep
%autosetup -n fabric-%{version}.%{extra_ver}
# fab tool will be renamed once fabric2 is the default
# sed -i 's/fab = fabric.main:main/fab1 = fabric.main:main/' setup.py
# Remove ver deps
sed -i 's/fudge<1.0/fudge/' setup.py

%build
%py2_build
%py3_build

%install
%py3_install
%py2_install

%check
# Tests fail with python-fudge >= 1.0

%files -n python3-%{srcname}
%license LICENSE
%doc README.rst AUTHORS
%{python3_sitelib}/fabric/
%{python3_sitelib}/Fabric3-*.egg-info/

%files -n python2-%{srcname}
%license LICENSE
%doc README.rst AUTHORS
%{python2_sitelib}/fabric/
%{python2_sitelib}/Fabric3-*.egg-info/
%{_bindir}/fab

%changelog
* Tue May 15 2018 Athmane Madjoudj <athmane@fedoraproject.org> - 1.13.1-5.
- Provide fabric1 as well

* Sun May 13 2018 Athmane Madjoudj <athmane@fedoraproject.org> - 1.13.1-4.post1
- Build py2 package to provide Fabric 1 compatibility

* Tue May 01 2018 Athmane Madjoudj <athmane@fedoraproject.org> - 1.13.1-3.post1
- Fix version tag

* Sun Apr 29 2018 Athmane Madjoudj <athmane@fedoraproject.org> - 1.13.1-2
- Fix license and version
- Add some useful provides

* Sat Apr 28 2018 Athmane Madjoudj <athmane@fedoraproject.org> - 1.13.1.post1-1
- Update to 1.13.1

* Sat Dec 03 2016 Athmane Madjoudj <athmane@fedoraproject.org> - 1.10.3.post3
- Initial spec

